#include <iostream>
#include <vector>

using namespace std;

int main(){
    unsigned int n;
    vector<int> knjige;
    int j;
    cin >> n;
    for(int i = 0; i < n; i++){
        cin >> j;
        knjige.push_back(j);
    }

    // ako je broj knjiga 2, samo se zameni, bez obzira na sve
    if(n == 2){
        cout << knjige[1] << " " << knjige[0] << endl;
        return 0;
    }

    for(int i = 0; i < knjige.size()-2; i++){
        if(knjige[i] < knjige[i+1]){
            int temp = knjige[i];
            knjige[i] = knjige[i+1];
            knjige[i+1] = temp;
            for(auto i = knjige.begin(); i != knjige.end(); ++i){ 
                cout << *i << " ";
            }
            return 0;
        }
    }
    
    for(int i = 0; i < knjige.size()-2; i++){
        if(knjige[i] == knjige[i+1]){
            for(auto i = knjige.begin(); i != knjige.end(); ++i){ 
                cout << *i << " ";
            }
            return 0;
        }
    }

    int poslednji = knjige.size()-1;
    int pre = knjige.size()  -2;
    int temp = knjige[pre];
    knjige[pre] = knjige[poslednji];
    knjige[poslednji] = temp;
    for(auto i = knjige.begin(); i != knjige.end(); ++i){ 
       cout << *i << " ";
    }
    return 0;
}